/* {outputFileName:hero} */
:root {
  --hero-bg: rgb(213 213 213);
  --hero-wrapper-margin: 5rem;
  --hero-max-width-content-wrapper: calc(100% - var(--hero-wrapper-margin));
  --hero-min-height: 600;
  --hero-max-height: 600;
  --hero-min-screen-size: 350;
  --hero-max-screen-size: 1440;
}
@media screen and (min-width: 1024px) {
  :root {
    --hero-wrapper-margin: 12rem;
    --hero-max-height: 600;
  }
}
@media screen and (max-width: 600px) {
  :root {
    --hero-wrapper-margin: 3rem;
  }
}

.hero {
  padding-top: 1rem;
  padding-bottom: 1rem;
  background: var(--hero-bg);
}
.hero__full-height {
  height: 100vh;
}
.hero__absolute-layout {
  position: relative;
}
.hero__absolute-layout .hero__image-container {
  position: absolute;
  z-index: 1;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}
.hero__absolute-layout .hero__image-container picture {
  overflow: hidden;
  height: 100%;
}
.hero__absolute-layout .hero__image-container picture img {
  width: 100%;
  max-width: initial;
  height: 100%;
  -o-object-fit: cover;
     object-fit: cover;
  -o-object-position: center;
     object-position: center;
}
.hero__absolute-layout .hero__wrapper {
  justify-content: center;
  height: calc(var(--hero-min-height) * 1px + (var(--hero-max-height) - var(--hero-min-height)) * (100vw - var(--hero-min-screen-size) * 1px) / (var(--hero-max-screen-size) - var(--hero-min-screen-size)));
  max-height: calc(var(--hero-max-height) * 1px);
}
.hero__absolute-layout .hero__wrapper .hero__content-container {
  position: relative;
  z-index: 2;
}
@media screen and (min-width: 1024px) {
  .hero__absolute-layout .hero__wrapper .hero__content-container .hero__content-wrapper {
    max-width: var(--hero-max-width-content-wrapper);
    margin-right: auto;
  }
}
@media screen and (min-width: 1024px) {
  .hero__absolute-layout .hero__wrapper {
    align-items: center;
    justify-content: flex-start;
  }
}
.hero .hero__wrapper {
  display: flex;
  flex-direction: column;
}
.hero .hero__wrapper .hero__content-container {
  order: 2;
}
.hero .hero__wrapper .hero__content-container .hero__content-wrapper {
  width: 100%;
  max-width: var(--hero-max-width-content-wrapper);
  height: 100%;
  margin-right: auto;
  margin-left: auto;
}
.hero .hero__wrapper .hero__image-container {
  width: 100%;
}
@media screen and (min-width: 1024px) {
  .hero .hero__wrapper {
    flex-direction: row;
  }
  .hero .hero__wrapper .hero__content-container {
    order: initial;
  }
  .hero .hero__wrapper .hero__content-container .hero__content-wrapper {
    max-width: calc(var(--hero-max-width-content-wrapper) + (100% - var(--hero-max-width-content-wrapper)) / 2);
    margin-right: 0;
  }
}
.hero .hero__actions {
  display: flex;
  flex-direction: column;
}
.hero .hero__actions > *:not(:last-of-type) {
  margin-bottom: 0.5rem;
}
@media screen and (min-width: 1024px) {
  .hero .hero__actions {
    flex-direction: row;
  }
  .hero .hero__actions > *:not(:last-of-type) {
    margin-right: 0.5rem;
    margin-bottom: 0;
  }
}
@media screen and (max-width: 600px) {
  .hero {
    padding-top: 2rem;
    padding-bottom: 3rem;
  }
}